# KDE tags expanded automatically by am_edit - $Revision: 1.237 $ 
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# $Id: Makefile.am,v 1.34 2001/01/06 10:48:23 coolo Exp $


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@
#>- 
bindir = @bindir@
#>+ 3
DEPDIR = .deps

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
ARTSCCONFIG = @ARTSCCONFIG@
AS = @AS@
AUTODIRS = @AUTODIRS@
CC = @CC@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CXX = @CXX@
CXXCPP = @CXXCPP@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DLLTOOL = @DLLTOOL@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
EXEEXT = @EXEEXT@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
GPHOTO2_INCS = @GPHOTO2_INCS@
GPHOTO2_LIBS = @GPHOTO2_LIBS@
GPIO_INCS = @GPIO_INCS@
GPIO_LIBS = @GPIO_LIBS@
IDL = @IDL@
IDL_DEPENDENCIES = @IDL_DEPENDENCIES@
KDB2HTML = @KDB2HTML@
KDECONFIG = @KDECONFIG@
KDE_CXXFLAGS = @KDE_CXXFLAGS@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDVI_KPATHSEA_DIR = @KDVI_KPATHSEA_DIR@
KDVI_KPATHSEA_INC = @KDVI_KPATHSEA_INC@
KDVI_KPATHSEA_LIB = @KDVI_KPATHSEA_LIB@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBMICO = @LIBMICO@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBZ = @LIBZ@
LIB_KAB = @LIB_KAB@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KFORMULA = @LIB_KFORMULA@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_KWRITE = @LIB_KWRITE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PAMINC = @PAMINC@
PAMLIBPATHS = @PAMLIBPATHS@
PAMLIBS = @PAMLIBS@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
PYTHONMODDIR = @PYTHONMODDIR@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
XGETTEXT = @XGETTEXT@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
all_includes = @all_includes@
all_libraries = @all_libraries@
idldir = @idldir@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
micodir = @micodir@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
x_includes = @x_includes@
x_libraries = @x_libraries@

INCLUDES = $(all_includes)
LDFLAGS = $(all_libraries) $(KDE_RPATH)
LDADD = $(LIB_KSYCOCA) $(LIB_KFILE) 

appsdir = $(kde_appsdir)/Graphics
apps_DATA = kpaint.desktop

KDE_ICON = kpaint

kpaint_SOURCES = main.cpp canvas.cpp kpaint.cpp manager.cpp 	infodialog.cpp palette.cpp palettedialog.cpp 	canvassize.cpp properties.cpp 	tool.cpp ellipse.cpp circle.cpp line.cpp brush.cpp 	spraycan.cpp rectangle.cpp pen.cpp areaselect.cpp depthdialog.cpp 	roundangle.cpp navwidget.cpp view.cpp 	mainview.cpp text.cpp


noinst_HEADERS = areaselect.h brush.h canvas.h canvassize.h circle.h 	depthdialog.h ellipse.h infodialog.h 	kpaint.h kundo.h line.h main.h manager.h navwidget.h palette.h 	palettedialog.h pen.h properties.h rectangle.h roundangle.h 	spraycan.h tool.h version.h view.h mainview.h text.h


#>- METASOURCES = canvas.moc canvassize.moc kpaint.moc manager.moc infodialog.moc 	depthdialog.moc properties.moc palette.moc 	palettedialog.moc tool.moc spraycan.moc circle.moc brush.moc 	navwidget.moc view.moc rectangle.moc roundangle.moc 	pen.moc ellipse.moc mainview.moc areaselect.moc text.moc 	line.moc


rc_DATA = kpaint.rc
rcdir = $(kde_datadir)/kpaint

bin_PROGRAMS = kpaint

SUBDIRS = toolpics images

EXTRA_DIST = $(apps_DATA) 
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
bin_PROGRAMS =  kpaint$(EXEEXT)
PROGRAMS =  $(bin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@
LIBS = @LIBS@
#>- kpaint_OBJECTS =  main.$(OBJEXT) canvas.$(OBJEXT) kpaint.$(OBJEXT) \
#>- manager.$(OBJEXT) infodialog.$(OBJEXT) palette.$(OBJEXT) \
#>- palettedialog.$(OBJEXT) canvassize.$(OBJEXT) properties.$(OBJEXT) \
#>- tool.$(OBJEXT) ellipse.$(OBJEXT) circle.$(OBJEXT) line.$(OBJEXT) \
#>- brush.$(OBJEXT) spraycan.$(OBJEXT) rectangle.$(OBJEXT) pen.$(OBJEXT) \
#>- areaselect.$(OBJEXT) depthdialog.$(OBJEXT) roundangle.$(OBJEXT) \
#>- navwidget.$(OBJEXT) view.$(OBJEXT) mainview.$(OBJEXT) text.$(OBJEXT)
#>+ 11
kpaint_final_OBJECTS = kpaint.all_cpp.o 
kpaint_nofinal_OBJECTS = main.$(OBJEXT) canvas.$(OBJEXT) kpaint.$(OBJEXT) \
manager.$(OBJEXT) infodialog.$(OBJEXT) palette.$(OBJEXT) \
palettedialog.$(OBJEXT) canvassize.$(OBJEXT) properties.$(OBJEXT) \
tool.$(OBJEXT) ellipse.$(OBJEXT) circle.$(OBJEXT) line.$(OBJEXT) \
brush.$(OBJEXT) spraycan.$(OBJEXT) rectangle.$(OBJEXT) pen.$(OBJEXT) \
areaselect.$(OBJEXT) depthdialog.$(OBJEXT) roundangle.$(OBJEXT) \
navwidget.$(OBJEXT) view.$(OBJEXT) mainview.$(OBJEXT) text.$(OBJEXT) \
kpaint_meta_unload.o 
@KDE_USE_FINAL_FALSE@kpaint_OBJECTS = $(kpaint_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kpaint_OBJECTS = $(kpaint_final_OBJECTS)
kpaint_LDADD = $(LDADD)
kpaint_DEPENDENCIES = 
kpaint_LDFLAGS = 
CXXFLAGS = @CXXFLAGS@
#>- CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 1
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 1
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
#>+ 1
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) $(LDFLAGS) -o $@
DATA =  $(apps_DATA) $(rc_DATA)

HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  README Makefile.am Makefile.in TODO


#>- DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=kpaint.desktop LICENSE PLANS commands.h CHANGES BUGS statusbar.h hi48-app-kpaint.png kpaint.rc lo32-app-kpaint.png hi32-app-kpaint.png DESCRIPTION kundo.cpp lo16-app-kpaint.png 

DISTFILES= $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


TAR = gtar
GZIP_ENV = --best
SOURCES = $(kpaint_SOURCES)
OBJECTS = $(kpaint_OBJECTS)

#>- all: all-redirect
#>+ 1
all: docs-am  all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cpp .lo .o .obj .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
#>- 	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps kpaint/Makefile
#>+ 2
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps kpaint/Makefile
	cd $(top_srcdir) && perl admin/am_edit kpaint/Makefile.in

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

kpaint$(EXEEXT): $(kpaint_OBJECTS) $(kpaint_DEPENDENCIES)
	@rm -f kpaint$(EXEEXT)
	$(CXXLINK) $(kpaint_LDFLAGS) $(kpaint_OBJECTS) $(kpaint_LDADD) $(LIBS)
.cpp.o:
	$(CXXCOMPILE) -c $<
.cpp.obj:
	$(CXXCOMPILE) -c `cygpath -w $<`
.cpp.lo:
	$(LTCXXCOMPILE) -c $<

install-appsDATA: $(apps_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(appsdir)
	@list='$(apps_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(appsdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(appsdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(appsdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(appsdir)/$$p; \
	  fi; fi; \
	done

uninstall-appsDATA:
	@$(NORMAL_UNINSTALL)
	list='$(apps_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(appsdir)/$$p; \
	done

install-rcDATA: $(rc_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(rcdir)
	@list='$(rc_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(rcdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(rcdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(rcdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(rcdir)/$$p; \
	  fi; fi; \
	done

uninstall-rcDATA:
	@$(NORMAL_UNINSTALL)
	list='$(rc_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(rcdir)/$$p; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.

@SET_MAKE@

all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	  test "$$subdir" = "." && dot_seen=yes; \
	done; \
	test "$$dot_seen" = "no" && rev=". $$rev"; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
   if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
   fi; \
	done; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = kpaint

distdir: $(DISTFILES)
#>- 	@for file in $(DISTFILES); do \
#>- 	  d=$(srcdir); \
#>- 	  if test -d $$d/$$file; then \
#>- 	    cp -pr $$/$$file $(distdir)/$$file; \
#>- 	  else \
#>- 	    test -f $(distdir)/$$file \
#>- 	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
#>- 	    || cp -p $$d/$$file $(distdir)/$$file || :; \
#>- 	  fi; \
#>- 	done
#>+ 10
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    chmod 777 $(distdir)/$$subdir; \
	    (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir=../$(top_distdir) distdir=../$(distdir)/$$subdir distdir) \
	      || exit 1; \
	  fi; \
	done
info-am:
info: info-recursive
dvi-am:
dvi: dvi-recursive
check-am: all-am
check: check-recursive
installcheck-am:
installcheck: installcheck-recursive
install-exec-am: install-binPROGRAMS
install-exec: install-exec-recursive

#>- install-data-am: install-appsDATA install-rcDATA
#>+ 1
install-data-am: install-kde-icons  install-appsDATA install-rcDATA
install-data: install-data-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-recursive
#>- uninstall-am: uninstall-binPROGRAMS uninstall-appsDATA uninstall-rcDATA
#>+ 1
uninstall-am: uninstall-kde-icons  uninstall-binPROGRAMS uninstall-appsDATA uninstall-rcDATA
uninstall: uninstall-recursive
all-am: Makefile $(PROGRAMS) $(DATA) $(HEADERS)
all-redirect: all-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs)  $(DESTDIR)$(bindir) $(DESTDIR)$(appsdir) \
		$(DESTDIR)$(rcdir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags \
		mostlyclean-generic

mostlyclean: mostlyclean-recursive

#>- clean-am:  clean-binPROGRAMS clean-compile clean-libtool clean-tags \
#>- 		clean-generic mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-moc-classes clean-final   clean-binPROGRAMS clean-compile clean-libtool clean-tags \
		clean-generic mostlyclean-am

#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-libtool \
		distclean-tags distclean-generic clean-am
	-rm -f libtool

distclean: distclean-recursive

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-recursive

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool uninstall-appsDATA \
install-appsDATA uninstall-rcDATA install-rcDATA install-data-recursive \
uninstall-data-recursive install-exec-recursive \
uninstall-exec-recursive installdirs-recursive uninstalldirs-recursive \
all-recursive check-recursive installcheck-recursive info-recursive \
dvi-recursive mostlyclean-recursive distclean-recursive clean-recursive \
maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs-am \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kpaint.pot

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 3
circle.moc: $(srcdir)/circle.h
	$(MOC) $(srcdir)/circle.h -o circle.moc

#>+ 3
view.moc: $(srcdir)/view.h
	$(MOC) $(srcdir)/view.h -o view.moc

#>+ 3
infodialog.moc: $(srcdir)/infodialog.h
	$(MOC) $(srcdir)/infodialog.h -o infodialog.moc

#>+ 3
rectangle.moc: $(srcdir)/rectangle.h
	$(MOC) $(srcdir)/rectangle.h -o rectangle.moc

#>+ 3
palettedialog.moc: $(srcdir)/palettedialog.h
	$(MOC) $(srcdir)/palettedialog.h -o palettedialog.moc

#>+ 3
palette.moc: $(srcdir)/palette.h
	$(MOC) $(srcdir)/palette.h -o palette.moc

#>+ 3
properties.moc: $(srcdir)/properties.h
	$(MOC) $(srcdir)/properties.h -o properties.moc

#>+ 3
roundangle.moc: $(srcdir)/roundangle.h
	$(MOC) $(srcdir)/roundangle.h -o roundangle.moc

#>+ 3
brush.moc: $(srcdir)/brush.h
	$(MOC) $(srcdir)/brush.h -o brush.moc

#>+ 3
text.moc: $(srcdir)/text.h
	$(MOC) $(srcdir)/text.h -o text.moc

#>+ 3
spraycan.moc: $(srcdir)/spraycan.h
	$(MOC) $(srcdir)/spraycan.h -o spraycan.moc

#>+ 3
pen.moc: $(srcdir)/pen.h
	$(MOC) $(srcdir)/pen.h -o pen.moc

#>+ 3
manager.moc: $(srcdir)/manager.h
	$(MOC) $(srcdir)/manager.h -o manager.moc

#>+ 3
tool.moc: $(srcdir)/tool.h
	$(MOC) $(srcdir)/tool.h -o tool.moc

#>+ 3
kpaint.moc: $(srcdir)/kpaint.h
	$(MOC) $(srcdir)/kpaint.h -o kpaint.moc

#>+ 3
canvassize.moc: $(srcdir)/canvassize.h
	$(MOC) $(srcdir)/canvassize.h -o canvassize.moc

#>+ 3
navwidget.moc: $(srcdir)/navwidget.h
	$(MOC) $(srcdir)/navwidget.h -o navwidget.moc

#>+ 3
canvas.moc: $(srcdir)/canvas.h
	$(MOC) $(srcdir)/canvas.h -o canvas.moc

#>+ 3
line.moc: $(srcdir)/line.h
	$(MOC) $(srcdir)/line.h -o line.moc

#>+ 3
mainview.moc: $(srcdir)/mainview.h
	$(MOC) $(srcdir)/mainview.h -o mainview.moc

#>+ 3
depthdialog.moc: $(srcdir)/depthdialog.h
	$(MOC) $(srcdir)/depthdialog.h -o depthdialog.moc

#>+ 3
ellipse.moc: $(srcdir)/ellipse.h
	$(MOC) $(srcdir)/ellipse.h -o ellipse.moc

#>+ 3
areaselect.moc: $(srcdir)/areaselect.h
	$(MOC) $(srcdir)/areaselect.h -o areaselect.moc

#>+ 3
clean-metasources:
	-rm -f  circle.moc view.moc infodialog.moc rectangle.moc palettedialog.moc palette.moc properties.moc roundangle.moc brush.moc text.moc spraycan.moc pen.moc manager.moc tool.moc kpaint.moc canvassize.moc navwidget.moc canvas.moc line.moc mainview.moc depthdialog.moc ellipse.moc areaselect.moc

#>+ 2
docs-am:

#>+ 16
install-kde-icons:
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps
	$(INSTALL_DATA) $(srcdir)/hi32-app-kpaint.png $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps/kpaint.png
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/hicolor/48x48/apps
	$(INSTALL_DATA) $(srcdir)/hi48-app-kpaint.png $(DESTDIR)$(kde_icondir)/hicolor/48x48/apps/kpaint.png
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/locolor/16x16/apps
	$(INSTALL_DATA) $(srcdir)/lo16-app-kpaint.png $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/kpaint.png
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/locolor/32x32/apps
	$(INSTALL_DATA) $(srcdir)/lo32-app-kpaint.png $(DESTDIR)$(kde_icondir)/locolor/32x32/apps/kpaint.png

uninstall-kde-icons:
	-rm -f $(DESTDIR)$(kde_icondir)/hicolor/32x32/apps/kpaint.png
	-rm -f $(DESTDIR)$(kde_icondir)/hicolor/48x48/apps/kpaint.png
	-rm -f $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/kpaint.png
	-rm -f $(DESTDIR)$(kde_icondir)/locolor/32x32/apps/kpaint.png

#>+ 5
force-reedit:
		cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps kpaint/Makefile
	cd $(top_srcdir) && perl admin/am_edit kpaint/Makefile.in


#>+ 10
kpaint_meta_unload.cpp:  circle.moc view.moc rectangle.moc infodialog.moc palettedialog.moc palette.moc properties.moc roundangle.moc brush.moc text.moc spraycan.moc pen.moc manager.moc tool.moc kpaint.moc canvassize.moc navwidget.moc line.moc canvas.moc mainview.moc depthdialog.moc ellipse.moc areaselect.moc
	@echo 'creating kpaint_meta_unload.cpp'
	-rm -f kpaint_meta_unload.cpp
	@echo 'static const char * _metalist_kpaint[] = {' > kpaint_meta_unload.cpp
	cat  circle.moc view.moc rectangle.moc infodialog.moc palettedialog.moc palette.moc properties.moc roundangle.moc brush.moc text.moc spraycan.moc pen.moc manager.moc tool.moc kpaint.moc canvassize.moc navwidget.moc line.moc canvas.moc mainview.moc depthdialog.moc ellipse.moc areaselect.moc | grep 'char.*className' | sed -e 's/.*[^A-Za-z0-9_:]\([A-Za-z0-9_:]*\)::className.*$$/\"\1\",/' | sort | uniq >> kpaint_meta_unload.cpp
	@echo '0};' >> kpaint_meta_unload.cpp
	@echo '#include <kunload.h>' >> kpaint_meta_unload.cpp
	@echo '_UNLOAD(kpaint)' >> kpaint_meta_unload.cpp


#>+ 3
clean-moc-classes:
	-rm -f  kpaint_meta_unload.cpp

#>+ 11
kpaint.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/main.cpp $(srcdir)/canvas.cpp $(srcdir)/kpaint.cpp $(srcdir)/manager.cpp $(srcdir)/infodialog.cpp $(srcdir)/palette.cpp $(srcdir)/palettedialog.cpp $(srcdir)/canvassize.cpp $(srcdir)/properties.cpp $(srcdir)/tool.cpp $(srcdir)/ellipse.cpp $(srcdir)/circle.cpp $(srcdir)/line.cpp $(srcdir)/brush.cpp $(srcdir)/spraycan.cpp $(srcdir)/rectangle.cpp $(srcdir)/pen.cpp $(srcdir)/areaselect.cpp $(srcdir)/depthdialog.cpp $(srcdir)/roundangle.cpp $(srcdir)/navwidget.cpp $(srcdir)/view.cpp $(srcdir)/mainview.cpp $(srcdir)/text.cpp kpaint_meta_unload.cpp   circle.moc view.moc infodialog.moc rectangle.moc palettedialog.moc palette.moc properties.moc roundangle.moc brush.moc text.moc spraycan.moc pen.moc manager.moc tool.moc kpaint.moc canvassize.moc navwidget.moc canvas.moc line.moc mainview.moc depthdialog.moc ellipse.moc areaselect.moc 
	@echo 'creating kpaint.all_cpp.cpp ...'; \
	rm -f kpaint.all_cpp.files kpaint.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> kpaint.all_cpp.final; \
	for file in main.cpp canvas.cpp kpaint.cpp manager.cpp infodialog.cpp palette.cpp palettedialog.cpp canvassize.cpp properties.cpp tool.cpp ellipse.cpp circle.cpp line.cpp brush.cpp spraycan.cpp rectangle.cpp pen.cpp areaselect.cpp depthdialog.cpp roundangle.cpp navwidget.cpp view.cpp mainview.cpp text.cpp kpaint_meta_unload.cpp ; do \
	  echo "#include \"$$file\"" >> kpaint.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kpaint.all_cpp.final; \
	done; \
	cat kpaint.all_cpp.final kpaint.all_cpp.files  > kpaint.all_cpp.cpp; \
	rm -f kpaint.all_cpp.final kpaint.all_cpp.files

#>+ 3
clean-final:
	-rm -f kpaint.all_cpp.cpp

#>+ 2
final:
	$(MAKE) kpaint_OBJECTS="$(kpaint_final_OBJECTS)" all-am
#>+ 2
no-final:
	$(MAKE) kpaint_OBJECTS="$(kpaint_nofinal_OBJECTS)" all-am
#>+ 3
cvs-clean:
	$(MAKE) -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 24
$(srcdir)/brush.cpp: brush.moc 
$(srcdir)/roundangle.cpp: roundangle.moc 
$(srcdir)/tool.cpp: tool.moc 
$(srcdir)/view.cpp: view.moc 
$(srcdir)/rectangle.cpp: rectangle.moc 
$(srcdir)/pen.cpp: pen.moc 
$(srcdir)/navwidget.cpp: navwidget.moc 
$(srcdir)/canvassize.cpp: canvassize.moc 
$(srcdir)/infodialog.cpp: infodialog.moc 
$(srcdir)/ellipse.cpp: ellipse.moc 
$(srcdir)/line.cpp: line.moc 
$(srcdir)/depthdialog.cpp: depthdialog.moc 
$(srcdir)/circle.cpp: circle.moc 
$(srcdir)/manager.cpp: manager.moc 
$(srcdir)/canvas.cpp: canvas.moc 
$(srcdir)/spraycan.cpp: spraycan.moc 
$(srcdir)/properties.cpp: properties.moc 
$(srcdir)/palette.cpp: palette.moc 
$(srcdir)/palettedialog.cpp: palettedialog.moc 
$(srcdir)/areaselect.cpp: areaselect.moc 
$(srcdir)/mainview.cpp: mainview.moc 
$(srcdir)/text.cpp: text.moc 
$(srcdir)/kpaint.cpp: kpaint.moc 
